"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ReadWrite = exports.ClockMode = exports.ProcessorStatus = void 0;
var ProcessorStatus;
(function (ProcessorStatus) {
    ProcessorStatus[ProcessorStatus["negative"] = 128] = "negative";
    ProcessorStatus[ProcessorStatus["overflow"] = 64] = "overflow";
    ProcessorStatus[ProcessorStatus["const"] = 32] = "const";
    ProcessorStatus[ProcessorStatus["brk"] = 16] = "brk";
    ProcessorStatus[ProcessorStatus["decimalMode"] = 8] = "decimalMode";
    ProcessorStatus[ProcessorStatus["disableIrqb"] = 4] = "disableIrqb";
    ProcessorStatus[ProcessorStatus["zero"] = 2] = "zero";
    ProcessorStatus[ProcessorStatus["carry"] = 1] = "carry";
})(ProcessorStatus = exports.ProcessorStatus || (exports.ProcessorStatus = {}));
var ClockMode;
(function (ClockMode) {
    ClockMode[ClockMode["paused"] = 0] = "paused";
    ClockMode[ClockMode["running"] = 1] = "running";
    ClockMode[ClockMode["waitForInterrupt"] = 2] = "waitForInterrupt";
})(ClockMode = exports.ClockMode || (exports.ClockMode = {}));
var ReadWrite;
(function (ReadWrite) {
    ReadWrite[ReadWrite["read"] = 0] = "read";
    ReadWrite[ReadWrite["write"] = 1] = "write";
})(ReadWrite = exports.ReadWrite || (exports.ReadWrite = {}));
//# sourceMappingURL=types.js.map